Package it.ernytech.tdlib

## Class TdApi.AuthenticationCodeType

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.AuthenticationCodeType

Direct Known Subclasses:
  `TdApi.AuthenticationCodeTypeCall`, `TdApi.AuthenticationCodeTypeFlashCall`, `TdApi.AuthenticationCodeTypeSms`, `TdApi.AuthenticationCodeTypeTelegramMessage`

Enclosing class:
  TdApi

    public abstract static class TdApi.AuthenticationCodeType
    extends TdApi.Object

This class is an abstract base class. Provides information about the method by which an authentication code is delivered to the user.

### Constructor Summary

Constructors
`AuthenticationCodeType()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`getConstructor, toString`

### Constructor Detail

#### AuthenticationCodeType

    public AuthenticationCodeType()